Subject: RE: [codec] Last Call: <draft-ietf-codec-guidelines-05.txt> (Guidelines for the Codec Development Within the IETF) to Informational RFC

From: "Christian Hoene" <[email-masked]>
Date: Wed, 5 Oct 2011 17:36:36 -0400

Dear Phillip Hallam-Baker,

> I have some issues with the way that the section on IPR is written.
> While I agree with most of the statements there. I don't see my two
> biggest IPR concerns listed.
> 1) Specific to this document, we already have unencumbered CODECs that
> permit encoding of audio and video with acceptable fidelity and
> adequate compression for 95% of all purposes. Thus it is essential
> that the IPR regime for any future CODEC strictly limits the cost of
> using that technique to some portion of the cost savings from
> reduction in bandwidth use.

[Christian Hoene] Bandwidth vs. quality is just one out of many
characterizing features of a codec. Codecs also differ in latency,
complexity, switching characteristics, bandwidth scalability, APIs, etc. To
that respect, the WG codec is making a unique codec. 

Remember, at the successful codec BOF it was agreed that there is a need for
a new codec happing unique features. Or shall we start this discussion
again, here?

> 2) The principal concern I have with IPR licensing in general is not
> the cost of licensing but the difficulty of licensing. I have on
> several occasions been in negotiations with an IPR holder who is
> completely unable to decide how much money they want or on what terms
> they are willing to offer their IPR.

[Christian Hoene] Yes, this is also happening here - at least with one set
of IPR claims. 
But luckily, some very big players will lead us the way making the path
towards using the codec smoother. For example, if a big player would use the
codec in some open source projects, then many other small companies would
follow without doing all the negotiations and IPR checks.

 > 3) Linked to that is the problem of uncertainty. A purported rights
> holder can only grant a license for the rights they hold, they cannot
> and will not provide a warranty with respect to any other rights.
> While due to the lingering effects of submarine patents it is
> impossible to know if any CODEC is completely unencumbered, it is a
> very safe bet that the audio codecs used for cinema sound in the mid
> 1980s are now unencumbered. It is not possible to be confident that
> any new audio codec is unencumbered.

[Christian Hoene] Making a well-known, open source, and (hopefully)
standardized codec is an efficient way to figure out, whether somebody has
submarine patents. 
But then again, submarine patents may exist for any new technology, any
protocol, or any other codec out here.

> Taken in combination, I cannot imagine any reason to use any audio
> codec other than MP3 or AC2 (or some other similar legacy scheme) once
> we can be assured that the corresponding patents have expired. I
> really could not care less what fidelity or other benefits might be
> claimed for them. Bandwidth and storage are much cheaper than the
> financial benefits offered by the technology held by the rights
> holders.

[Christian Hoene] As said above, the Opus codec is going to be different and
we need it.

With best regards,

 Christian Hoene